LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 08-27-2010, 05:38 AM   #1
murtuzanaqvi
LQ Newbie
 
Registered: Aug 2010
Location: Bangalore
Distribution: RHEL 4
Posts: 18

Rep: Reputation: 0
Question Problem: Upgrading Firefox, it requires pangocairo, which requires pango with cairo supports


Hi,
I am currently using RHEL4.
I am trying to upgrade my firefox to latest version for which i need pangociaro, to achieve this i tried installing cairo-1.8.10
#./configure
#make
#make check
#make install

After doing a make check for cairo package, it said that 121 of 200 tests failed.(I had already installed fontconfig-2.4.2 and freetype-2.4.2, both with same set of commands)
Then i am trying to install pango-1.28.1
on doing ./configure, the following is the result:

checking for CAIRO... yes
checking which cairo font backends could be used... none
configure: Disabling cairo support

Although pango package installs, it does not with cairo support. So i am not able to upgrade my firefox.
I have installed the following packages, all with
#./configure
#make
#make check (if it runs)
#make install
Packages:
glib-2.24.2.tar.gz,
fontconfig-2.4.2.tar.gz,
freetype-2.4.2.tar.gz,
pkg-config-0.20.tar.gz,
pixman-0.19.2.tar.gz,
poppler-0.14.2.tar.gz,
cairo-1.8.10.tar.gz,
pango-1.28.1.tar.gz.

Kindly help me as i am currently stuck with an ancient firefox browser.

Last edited by murtuzanaqvi; 08-27-2010 at 06:23 AM. Reason: More accutare/elaborate problem description
 
Old 08-27-2010, 06:58 AM   #2
David the H.
Bash Guru
 
Registered: Jun 2004
Location: Osaka, Japan
Distribution: Debian sid + kde 3.5 & 4.4
Posts: 6,823

Rep: Reputation: 1949Reputation: 1949Reputation: 1949Reputation: 1949Reputation: 1949Reputation: 1949Reputation: 1949Reputation: 1949Reputation: 1949Reputation: 1949Reputation: 1949
Please don't create multiple threads on the same topic. Keep everything in one place.

http://www.linuxquestions.org/questi...ilable-828811/
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
error in the creation of `etc/pango/pango.modules` okeyla Linux - Newbie 3 07-02-2011 08:06 PM
Compiling troubles with pango and cairo? Cotobear Slackware 1 03-19-2008 02:49 AM
font problem after gtk, pango and cairo update Lord_Grave Linux - Software 0 06-03-2007 05:21 AM
Error build pango with cairo support tuanphan Linux - Software 1 02-13-2007 04:54 PM
Text unrecognized after Pango and Cairo updated Peronthious Linux - Software 1 09-09-2006 03:42 AM


All times are GMT -5. The time now is 11:36 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration